enemy1 = {}

enemy1.image = love.graphics.newImage('assets/bado.png')
enemy1.y = 200
enemy1.x = 400
enemy1.mass = 0.5
enemy1.radius = 42
enemy1.color = {250,250,250}
enemy1.body = love.physics.newBody(world, enemy1.x, enemy1.y, "dynamic")
enemy1.body:setLinearDamping(2)
enemy1.shape = love.physics.newCircleShape(enemy1.radius)
enemy1.fixture = love.physics.newFixture(enemy1.body, enemy1.shape, 0.1)
enemy1.fixture:setRestitution(1)
enemy1.fixture:setUserData("Bado")
enemy1.drawEnemy1 = function (self)
	love.graphics.setColor(self.color)
	local img = self.image
	x = img:getWidth()
	y = img:getHeight()
	love.graphics.draw(img, self.body:getX(), self.body:getY(), math.rad(0), 1, 1, x / 2, y / 2)
	enemy1.body:setMass(self.mass)
end

enemy2 = {}

enemy2.image = love.graphics.newImage('assets/sado.png')
enemy2.y = 230
enemy2.x = 430
enemy2.mass = 0.5
enemy2.radius = 42
enemy2.color = {250,250,250}
enemy2.body = love.physics.newBody(world, enemy2.x, enemy2.y, "dynamic")
enemy2.body:setLinearDamping(2)
enemy2.shape = love.physics.newCircleShape(enemy2.radius)
enemy2.fixture = love.physics.newFixture(enemy2.body, enemy2.shape, 0.1)
enemy2.fixture:setRestitution(1)
enemy2.fixture:setUserData("Sado")

enemy2.drawEnemy2 = function (self)
	love.graphics.setColor(self.color)
	local img = self.image
	x = img:getWidth()
	y = img:getHeight()
	love.graphics.draw(img, self.body:getX(), self.body:getY(), math.rad(0), 1, 1, x / 2, y / 2)
	enemy2.body:setMass(self.mass)
end



goal = {}

goal.x1 = 0
goal.y1 = 0
goal.x2 = 0
goal.y2 = 0

goal.message = "goal:"
goal.drawMessage = function (self)
	love.graphics.print(self.message, 20, 60)
end
goal.updateMessage = function (self)
	goal.message = "Bado-x1" .. self.x1 .. "\nBado-y1" .. self.y1 .. "\nSado-x" .. self.x2 .. "\nSado-y" .. self.y2 .. "\n\n World" .. goal.body:getWorldPoints(goal.shape:getPoints())
end

goal.body = love.physics.newBody(world, goal.x1,goal.y1, "dynamic")
goal.shape = love.physics.newEdgeShape( enemy1.body:getX(),enemy1.body:getY(), enemy2.body:getX(), enemy2.body:getY() )
-- goal.shape = love.physics.newPolygonShape( enemy1.body:getX(),enemy1.body:getY(), enemy2.body:getX(), enemy2.body:getY() )
goal.fixture = love.physics.newFixture(goal.body, goal.shape)

goal.fixture:setUserData("Goal")

goal.update = function(self)
	self.x1 = enemy1.body:getX()
	self.y1 = enemy1.body:getY()
	self.x2 = enemy2.body:getX()
	self.y2 = enemy2.body:getY()
end

goal.draw = function(self)
	love.graphics.setColor(55, 150, 150)
	love.graphics.setLineStyle( 'smooth' )
	love.graphics.setLineWidth( 1 )
	love.graphics.line( self.x1 , self.y1 , self.x2, self.y2 )
	love.graphics.setColor(250, 250, 250)
end