stage = {}
stage.height = love.graphics.getHeight()
stage.width = love.graphics.getWidth()
stage.color = default.stage.color
stage.score = 0



stage.boundary = {}

stage.boundary.bottom = {}
stage.boundary.bottom.body = love.physics.newBody(world, stage.width / 2, stage.height, 'static') 
stage.boundary.bottom.shape = love.physics.newRectangleShape(stage.width, 10)
stage.boundary.bottom.fixture = love.physics.newFixture(stage.boundary.bottom.body, stage.boundary.bottom.shape);
-- stage.boundary.bottom.fixture:setFriction(0.5)

stage.boundary.right = {}
stage.boundary.right.body = love.physics.newBody(world, stage.width, stage.height / 2, 'static') 
stage.boundary.right.shape = love.physics.newRectangleShape(10, stage.height)
stage.boundary.right.fixture = love.physics.newFixture(stage.boundary.right.body, stage.boundary.right.shape);
-- stage.boundary.right.fixture:setFriction(0.5)

stage.boundary.left = {}
stage.boundary.left.body = love.physics.newBody(world, 0, stage.height / 2, 'static') 
stage.boundary.left.shape = love.physics.newRectangleShape(10, stage.height)
stage.boundary.left.fixture = love.physics.newFixture(stage.boundary.left.body, stage.boundary.left.shape);
-- stage.boundary.left.fixture:setFriction(0.5)

stage.boundary.top = {}
stage.boundary.top.body = love.physics.newBody(world, stage.width / 2 , 0, 'static') 
stage.boundary.top.shape = love.physics.newRectangleShape(stage.width, 10)
stage.boundary.top.fixture = love.physics.newFixture(stage.boundary.top.body, stage.boundary.top.shape);

stage.boundary.bottom.fixture:setUserData("stage")
stage.boundary.right.fixture:setUserData("stage")
stage.boundary.left.fixture:setUserData("stage")
stage.boundary.top.fixture:setUserData("stage")
-- stage.boundary.top.fixture:setFriction(0.5)

stage.draw = function (self)
	love.graphics.polygon("fill", stage.boundary.bottom.body:getWorldPoints(stage.boundary.bottom.shape:getPoints()))
	love.graphics.polygon("fill", stage.boundary.right.body:getWorldPoints(stage.boundary.right.shape:getPoints()))
	love.graphics.polygon("fill", stage.boundary.left.body:getWorldPoints(stage.boundary.left.shape:getPoints()))
	love.graphics.polygon("fill", stage.boundary.top.body:getWorldPoints(stage.boundary.top.shape:getPoints()))
	love.graphics.setBackgroundColor( self.color )
end